<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Подпись на форуме';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['save'])){

if (isset($_POST['podpis']) && strlen2($_POST['podpis'])<=25)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['podpis']))$err[]='Используются запрещенные символы!';
else {
$user['podpis']=$_POST['podpis'];
mysql_query("UPDATE `user` SET `podpis` = '".my_esc($user['podpis'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Длина подписи не должна превышать 25 символов!';


if (!isset($err))msg('Подпись успешно сохранена!');

}

err();

echo "<div class='p_t'>";
echo "<font color='red'>Редактирование подписи</font><br />\n";
if ($user['podpis']!=NULL)echo "<img src='/style/img/star_f.png' alt='' class='icon'/> <font color='#bda01b'><b>$user[podpis]</b></font><br />\n";

echo "<form method='post' action='?$passgen'>\n";


echo "Поле ввода:<br />\n<input type='text' name='podpis' value='$user[podpis]' maxlength='25' /><br />\n";

echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo "</div>\n";
echo "<div class='foot'>";
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo " <a href='/umenu.php'>Мое меню</a> <br/>\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>